---
title: "Hide Room"
slug: "hide-room"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide Room

Post/api/v1/rooms.hide

Hide rooms without restrictions based on type. You can only hide a room if you have access to it.

### Changelog

| Version | Description |
| --- | --- |
| 7.4.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='5ce96569-5d20-4d1a-aecc-4c787ac81462'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f29c6ed1-1333-49e8-b150-5a577be0f612'>Request body with roomId</option>
</select>Request body with roomId

```json
{
  "roomId": "6759dea438288929cff551c"
}
```

object  roomIdstring    

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='b8a28ff0-e3f8-4be8-b145-ecd84f26cf9c'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c49a5978-964b-4231-9b78-654642b74c4f'>Example 1</option>
</select>Example 1

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='f90b5f76-82ff-415a-bfa1-b43e400f478f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0fb44056-c51b-4b94-b509-d75b21ba6076'>Error due to missing roomId</option>
<option value='96a53530-a5d0-440f-b28e-d6f5d664c902'>Room already hidden error</option>
</select>Error due to missing roomId

```json
{
  "success": false,
  "error": "must have required property 'roomId' [invalid-params]",
  "errorType": "invalid-params"
}
```

Room already hidden error

```json
{
  "success": false,
  "error": "error-room-already-hidden"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='22cc79da-681c-4765-b667-fea6c168bf9a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='766228b2-51f9-48af-9471-6d077607e11d'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "unauthorized"
}
```

object  successboolean    
errorstring
